function  Image=LecturePgm(nom)
%  Image=LecturePgm(nom)  : Lecture d'une image au format pgm
%    exemple : Im1=LecturePgm('lezard.pgm');
%
s=size(nom);
s=s(2);
while nom(s)==' '
    s=s-1;
end

fid=fopen(nom(1:s),'r');

nl=abs(10);
Ent=fscanf(fid,'%c',2);
if Ent=='P5'

  c=fscanf(fid,'%c',1);
  while  c~=nl,
     c=fscanf(fid,'%c',1);
  end
  c=fscanf(fid,'%c',1);
  while c=='#',
      while  c~=nl,
         c=fscanf(fid,'%c',1);
      end
      c=fscanf(fid,'%c',1);
  end  
else
  'Ce n''est pas un fichier pgm'
end

%Traitement des nombres de colonnes et de lignes
dim=c;
c=fscanf(fid,'%c',1);
while  c~=nl,
    dim=[dim,c];
    c=fscanf(fid,'%c',1);
end
ndim=length(dim);
nb=strtok(dim,' ');
dim=dim(length(nb)+1:ndim);
Nbco=str2num(nb);
Nbli=str2num(dim);

%On trouve 255 puis, ligne suivante, les donnees
s=fscanf(fid,'%c',3);
if s~='255'
  'Attention, erreur de format'
end
  
c=fscanf(fid,'%c',1);
while  c~=nl,
   c=fscanf(fid,'%c',1);
end


%%% Recuperation des donnees dans une matrice

Image=fread(fid,[Nbco,Nbli]);
Image=Image';

fclose(fid);
