% FUNCTION WRITE_MATRIX_HEADER(FID, ELEMENT_TYPE, MATRIX_SIZE)
%
% See WRITE_MATRIX
%
% by Guillaume LATHOUD at IDIAP (lathoud@idiap.ch)

function write_matrix_header(fid, element_type, matrix_size)

fprintf(fid, '%s\n', element_type);
for a = 1:length(matrix_size)
  fprintf(fid, '%d', matrix_size(a));
  if a < length(matrix_size)
    fprintf(fid, ' ');
  else
    fprintf(fid, '\n');
  end
end
