function [ post0, post1, lkld0, lkld1 ] = compute_post_cbig( x, cbigObject )

  % Goes with "train_cbig_on_hist.m"
  
  if nargin < 2
    error( [ mfilename '.compute_post_cbig() needs 5 input arguments.' ] );
  end

  if nargout < 1
    warning( [ mfilename '.compute_post_cbig(): nothing to do !' ] );
  else
  
    [ log_post0, log_post1, log_lkld0, log_lkld1 ] = compute_log_post_cbig( x, cbigObject );

    post0 = exp( log_post0 );
        
    if nargout > 1
      post1 = exp( log_post1 );
    end
    
    if nargout > 2
      lkld0 = exp( log_lkld0 );
    end
    
    if nargout > 3
      lkld1 = exp( log_lkld1 );
    end

  end
  
  return;
