function m_out = dilation_cols( m_in, ntimes )
  
% FUNCTION M_OUT = DILATION_COLS( M_IN, NTIMES )
    
  if nargin < 2
    error( [ mfilename ' needs 2 input arguments.' ] );
  end
  
  m_out = m_in;
  
  for a = 1:size( m_out, 2 )
    m_out( :,a ) = dilation( m_out( :,a ), ntimes );
  end
  