% FUNCTION Y = LOG10SUM(LOG10_X)
%
% log10_x : vector containing log10(xi)
% y     : scalar, estimation of log10(sum over i of xi)

function y = log10sum(log10_x)

y = logsum(log10_x * log(10)) / log(10);
