function y = log_lognpdf( x, mu, sigma )
  
  if nargin < 3
    error( [ mfilename ' needs 3 input arguments.' ] );
  end
  
  y = -0.5 * ((( log(x) - mu ) ./ sigma ) .^ 2 ) - log( x ) - log( sqrt( 2*pi ) .* sigma );
  